{
	"schema": "https://iot-ap.ikonke.com/model/product_3046.json",
	"productType": "scene",
	"version": "1.0",
	"profile": {
		"heartbeat": "7200",
		"productCode": "3046",
		"productName": "Kit Pro快捷按钮",
		"sleepTime": "30000"
	},
	"services": [
		{
			"outputData": [
				{
					"identifier": "Battery",
					"name": "电池电量",
					"dataType": {
						"type": "double",
						"specs": {
							"min": "0.0",
							"max": "100.0",
							"unit": "%",
							"unitName": "百分比",
							"step": "0.01"
						}
					}
				}
			],
			"identifier": "get",
			"inputData": [
				"Battery"
			],
			"method": "thing.service.property.get",
			"name": "get",
			"required": true,
			"callType": "async",
			"desc": "属性获取"
		}
	],
	"properties": [
		{
			"identifier": "Battery",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "0.0",
					"max": "100.0",
					"unit": "%",
					"unitName": "百分比",
					"step": "0.01"
				}
			},
			"name": "电池电量",
			"accessMode": "r",
			"required": false
		}
	],
	"events": [
		{
			"outputData": [
				{
					"identifier": "Battery",
					"name": "电池电量",
					"dataType": {
						"type": "double",
						"specs": {
							"min": "0.0",
							"max": "100.0",
							"unit": "%",
							"unitName": "百分比",
							"step": "0.01"
						}
					}
				}
			],
			"identifier": "property",
			"method": "thing.event.property.post",
			"name": "property",
			"type": "info",
			"required": true,
			"desc": "属性上报"
		},
		{
			"outputData": [
				{
					"identifier": "buttonAction",
					"dataType": {
						"specs": {
							"1": "单击",
							"2": "双击",
							"3": "长按"
						},
						"type": "enum"
					},
					"name": "按键动作"
				}
			],
			"identifier": "ButtonAction",
			"method": "thing.event.ButtonAction.post",
			"name": "ButtonAction",
			"type": "scene",
			"required": true,
			"desc": "按键触发上报"
		},
        {
            "outputData": [
                {
                    "identifier": "Battery",
                    "name": "电池电量",
                    "dataType": {
                        "type": "double",
                        "specs": {
                            "min": "0.0",
                            "max": "100.0",
                            "unit": "%",
                            "unitName": "百分比",
                            "step": "0.01"
                        }
                    }
                }
            ],
            "identifier": "BatteryAlarm",
            "method": "thing.event.BatteryAlarm.post",
            "name": "BatteryAlarm",
            "type": "alert",
            "required": true,
			"alarmbit":3,
            "desc": "低电量告警"
        }
	]
}

